Sign inGet started

SLA Policies

GET
/workspaces/{workspaceId}/inbox/sla-policies
List SLA policies
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
obligatoire
Afficher les attributs enfants
results.createdAt
string
obligatoire
results.description
string
obligatoire
results.id
string
obligatoire
results.metrics
object
Afficher les attributs enfants
results.metrics.firstReplyTime
array of object
Afficher les attributs enfants
results.metrics.firstReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.firstReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
results.metrics.firstReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.metrics.nextReplyTime
array of object
Afficher les attributs enfants
results.metrics.nextReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
results.metrics.nextReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
results.metrics.nextReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
results.name
string
obligatoire
results.timeKeepingMethod
string
obligatoire
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
results.updatedAt
string
obligatoire
results.workspaceId
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/sla-policies
Create SLA policy
Corps de la requête
name
string
obligatoire
description
string
obligatoire
timeKeepingMethod
string
obligatoire
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Afficher les paramètres enfants
metrics.firstReplyTime
array of object
Afficher les paramètres enfants
metrics.firstReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Afficher les paramètres enfants
metrics.nextReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
Corps de la réponse
createdAt
string
obligatoire
description
string
obligatoire
id
string
obligatoire
metrics
object
Afficher les attributs enfants
metrics.firstReplyTime
array of object
Afficher les attributs enfants
metrics.firstReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Afficher les attributs enfants
metrics.nextReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
obligatoire
timeKeepingMethod
string
obligatoire
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
obligatoire
workspaceId
string
obligatoire
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Get SLA policy
Corps de la réponse
createdAt
string
obligatoire
description
string
obligatoire
id
string
obligatoire
metrics
object
Afficher les attributs enfants
metrics.firstReplyTime
array of object
Afficher les attributs enfants
metrics.firstReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Afficher les attributs enfants
metrics.nextReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
obligatoire
timeKeepingMethod
string
obligatoire
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
obligatoire
workspaceId
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Update SLA policy
Corps de la requête
name
string
description
string
timeKeepingMethod
string
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
metrics
object
Afficher les paramètres enfants
metrics.firstReplyTime
array of object
Afficher les paramètres enfants
metrics.firstReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Afficher les paramètres enfants
metrics.nextReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
Corps de la réponse
createdAt
string
obligatoire
description
string
obligatoire
id
string
obligatoire
metrics
object
Afficher les attributs enfants
metrics.firstReplyTime
array of object
Afficher les attributs enfants
metrics.firstReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.firstReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.firstReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
metrics.nextReplyTime
array of object
Afficher les attributs enfants
metrics.nextReplyTime.breachThreshold
integer
obligatoire
The number of minutes until a ticket reaches a breached state for this SLA metric.
metrics.nextReplyTime.priority
string
obligatoire
Apply the metric for tickets with this priority
metrics.nextReplyTime.warningThreshold
integer
obligatoire
The number of minutes until a ticket reaches a warning state for this SLA metric.
name
string
obligatoire
timeKeepingMethod
string
obligatoire
Determine how the timers are tracking expiry.
  • clock will simply count using the full 24 hours of a day.
  • businessHours takes into account the business hours configured for the assigned team.
Possible values: clock, businessHours
updatedAt
string
obligatoire
workspaceId
string
obligatoire
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}
Delete SLA policy
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/sla-policies/{slaPolicyId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'